Page MenuHomePhabricator

Implement privacy warning for 3rd party data source on Wikivoyage
Closed, ResolvedPublic

Description

Per conf call, it was decided that to resolve any potential compliance issues, the best short term solution would be to notify users that all 3rd party data sources would cause their browsing behaviour to be exposed to the 3rd party. The message (should be short, to be drafted by Legal, could be a link to another page) will be shown in the map's layer selection menu.

TODOs:

  • Draft short legal text (in EN)
  • Contact extension's authors
  • Work with them to fix the issue

P.S. Arielle Friehling is not in Phabricator, please add

Event Timeline

Yurik created this task.Jul 27 2015, 9:00 PM
Yurik raised the priority of this task from to Needs Triage.
Yurik updated the task description. (Show Details)
Yurik added subscribers: Yurik, Wwes, Tfinc, Slaporte.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 9:00 PM
Yurik set Security to None.
Restricted Application added a project: Discovery. · View Herald TranscriptJul 27 2015, 9:01 PM
Yurik triaged this task as High priority.Jul 30 2015, 6:00 PM
Yurik moved this task from Backlog to To-do on the Maps-Sprint board.Jul 30 2015, 7:00 PM
MaxSem moved this task from To-do to In progress on the Maps-Sprint board.Jul 30 2015, 11:36 PM
Ironholds moved this task from Needs triage to Maps on the Discovery board.Aug 4 2015, 8:16 AM

We should include this minimal disclaimer to the layer choice interface:

"Tiles with [arrow icon] are not hosted by WMF, so enabling them may share your data with other sites."

Yurik renamed this task from Notify WikiVoyage users of 3rd party data source policies to Implement privacy warning for 3rd party data source on WikiVoyage.Aug 8 2015, 11:55 AM
Yurik moved this task from In progress to To-do on the Maps-Sprint board.
Glaisher renamed this task from Implement privacy warning for 3rd party data source on WikiVoyage to Implement privacy warning for 3rd party data source on Wikivoyage.Aug 8 2015, 11:56 AM
Glaisher added a subscriber: Glaisher.
MaxSem claimed this task.Aug 11 2015, 9:28 PM
MaxSem moved this task from To-do to In progress on the Maps-Sprint board.

https://github.com/MaxSem/PoiMap2/commit/59ab4734d349fde48878b6d7fcec1741a1faeb8e
https://github.com/MaxSem/PoiMap2/commit/66bdbdef21fe328968303a173e26fe47253eb775

I need someone to look over the code before I go to the volunteer with it. The mesage has already been run past Stephen.

MaxSem moved this task from In progress to Needs review on the Maps-Sprint board.Aug 14 2015, 8:52 PM

@Yurik: Can you wrap up the review on this?

Yurik added a comment.Aug 20 2015, 5:46 PM

reviewed in https://github.com/MaxSem/PoiMap2/commits/master -- no objections from my side

Looks good to me, too. Thanks!

ksmith moved this task from Maps to On Sprint Board on the Discovery board.Aug 27 2015, 8:27 PM
Yurik moved this task from All map-related tasks to Tilerator on the Maps board.Sep 13 2015, 6:41 AM
MaxSem moved this task from Stalled/Waiting to Done on the Maps-Sprint board.Sep 22 2015, 8:53 PM
Tfinc closed this task as Resolved.Oct 6 2015, 9:34 PM